Name: balsa
Version: 2.3.23
Release: alt1

Summary: Balsa Mail Client 

License: GPL
Group: Networking/Mail
Url: http://balsa.gnome.org/

Packager: Ildar Mulyukov <ildar@altlinux.ru>

Source0: %name-%version.tar
Source1: %name.menu
Source2: balsa_icons.tar
Patch0: %name-regex-dirty-hack.patch

#BuildPreReq: rpm-utils less
# Automatically added by buildreq on Tue Oct 30 2007
BuildRequires: libSM-devel libaspell-devel libcompface-devel libesmtp-devel libgmime-devel libgpg-error-devel libgpgme-devel libgtkhtml3-devel libgtksourceview2-devel libgtkspell-devel libkrb5-devel libldap-devel libnotify-devel libpcre-devel libsqlite3-devel libssl-devel scrollkeeper

PreReq: icon-theme-hicolor

%description
Balsa is an e-mail reader.  This client is part of the GNOME
desktop environment.  It supports local mailboxes, POP3 and
IMAP.

%description -l ru_RU.KOI8-R
Balsa --      .
     ,  POP3  IMAP.


%prep
%setup -q
%if_enabled regex_dirty_hack
%patch0 -p1
%endif
tar xf %SOURCE2

%build
echo %release | grep -qi svn && {
intltoolize --force ;
%autoreconf ;
}
%configure --enable-threads \
	--with-ssl --enable-smime --with-gpgme \
	--with-ldap --with-gss --with-sqlite \
	--with-gtksourceview --with-gtkspell --with-compface \
	--with-rubrica
%make_build

%install
%make_install DESTDIR=%buildroot install
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name

install -d %buildroot%_miconsdir
install -d %buildroot%_liconsdir
install -d %buildroot%_iconsdir

install -m644 balsa_16.xpm %buildroot%_miconsdir/%name.xpm
install -m644 balsa_32.xpm %buildroot%_iconsdir/%name.xpm
install -m644 balsa_48.xpm %buildroot%_liconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%_bindir/*
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/48x48/mimetypes/*
%_datadir/pixmaps/gnome-balsa2.png
%_datadir/gnome/help/%name
%_datadir/omf/%name
%_datadir/%name
%_datadir/idl
%_datadir/sounds/%name
%_libdir/bonobo/servers/*
%_man1dir/%name.1*
%_menudir/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
#%_localstatedir/*
%config %_sysconfdir/sound/events/*

%changelog
* Tue Mar 25 2008 Ildar Mulyukov <ildar@altlinux.ru> 2.3.23-alt1
- 2.3.23
- gtksourceview is back - version 2 is used

* Thu Dec 27 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.3.22-alt1
- 2.3.22

* Wed Dec 12 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.3.21-alt1
- 2.3.21
- removed gtksourceview - version 2 is not supported yet
- added rubrica support

* Tue Oct 30 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.3.20-alt2.SVN7771
- gear/git way to build package
- upstream -> SVN7771
- pcre (my local?) bug workaround is possible with --enable regex_dirty_hack
- %name-2.3.14-alt-configure.patch is no more needed
- changed sqlite -> sqlite3

* Sun Sep 30 2007 Ilya Mashkin <oddity at altlinux.ru> 2.3.20-alt1
- Just build new version 2.3.20
- Add russian description

* Mon Mar 12 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.3.14-alt1
- 2.3.14

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.3.13-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Wed Jun 28 2006 Ildar Mulyukov <ildar@altlinux.ru> 2.3.13-alt2
- balsa-2.3.12-alt-configure.patch fixed for building on x86_64

* Thu Jun 22 2006 Ildar Mulyukov <ildar@altlinux.ru> 2.3.13-alt1
- 2.3.13

* Sun Nov 21 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.6-alt1
- 2.2.6

* Mon Oct 04 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.5-alt1
- new version

* Mon Aug 30 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.4-alt1
- new version
- periodic expunge configurable
- cleanup IMAP password quering code
- GPE address book support - http://gpe.handhelds.org/projects/GPE-address.shtml
- new configuration druid

* Sat Aug 21 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.3-alt1
- new version
- periodic expunge code crash fixed
- fixed recovery from broken IMAP connections
- startup speedup
- some memory leaks fixed

* Tue Aug 10 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.2-alt1
- new version
- configurable hiding of deleted messages
- keyboard navigation fixes
- message counting in some edge cases fixed
- GPG fixes

* Tue Aug 03 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.1-alt1
- new version
- IMAP mailboxes could be incorrectly marked as read-only
- message selection behaves more sanely
- 64-bit fixes
- memory leaks fixed
- handle better imap servers without server-side threading and limits
  on number of concurent connections
- quick "Sender or Subject" message index filtering
- various UI improvements

* Mon Jul 12 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.0-alt1
- new version
- fix 143322, 143263, 145701
- GPGME updates
- GSSAPI IMAP authentication
- more build fixes

* Tue Mar 30 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.17-alt1
- build on GNOME-2.6
- fix some GPGME interaction problems
- yet another set of minor fixes

* Mon Jan 19 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.16-alt1
- update GPGME support: 124905
- libgtkhtml3 support added
- use bonobo to avoid running of multiple balsa instances
- fix bugs: 103639, 124550, 127422, 129316 and number of others

* Mon Jan 5 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt3
- rebuild with gcc-3.3

* Sun Oct 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt2
- Rebuild with libaspell

* Mon Sep 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.15-alt1
- 2.0.15
- imap folder scanning speedup.
- fix bugs: 121181, 121637, 121867 and others.
- help updates.

* Thu Sep 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.14-alt2
- Cleanup spec

* Mon Jul 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.14-alt1
- 2.0.14
- message wrapping improvements, RFC 2646 support.
- experimental LDAP write support (feedback and patches appreciated).
- number of bugs fixed.

* Mon Jul 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.13-alt1
- 2.0.13

* Mon Jul 7 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.12-alt1
- 2.0.12
- Added Undo and Redo in the message composer.
- Occasional mangling of text attachments fixed
- More information about attached messages is shown.

* Sun May 18 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.11-alt2
- Cleanup spec

* Mon May 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.11-alt1
- 2.0.11
- text wrapping improvements.
- charset encoding validation and conversion improvements.
- several message signing and encryption improvelemts.
- minor LDAP fixes (large directories, non-US-ASCII characters).

* Wed Mar 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.10-alt1
- 2.0.10
- GPG support.
- translation fixes and enhancements.
- large set of UI fixes.
- wrapping cleanups.
- autocommit improvements.
- (lib)mutt buffer overflow fix.
- ...and lots of other bugs fixed.

* Sun Mar 23 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.0.9-alt1
- First version of RPM package.
